%global         pkgname django-markdown2

Name:           python-%{pkgname}
Version:        0.3.1
Release:        3%{?dist}
Summary:        Simple Django app, which supplies a single template tag for markdown markup
License:        BSD
URL:            https://github.com/svetlyak40wt/django-markdown2/
Source0:        https://files.pythonhosted.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel python3-setuptools

%description
This is a simple app, which supplies a single template tag for markdown markup.

%package -n python3-%{pkgname}
Summary:        Simple Django app, which supplies a single template tag for markdown markup
%{?python_provide:%python_provide python3-%{pkgname}}
Requires:       python3-django
Requires:       python3-markdown2
Provides:       %{pkgname} = %{version}-%{release}

Obsoletes:      python-%{pkgname} < 0.3.0-8
Obsoletes:      python2-%{pkgname} < 0.3.0-8

%description -n python3-%{pkgname}
This is a simple app, which supplies a single template tag for markdown markup.


%prep
%autosetup -n %{pkgname}-%{version}

%build
%py3_build

%install
%py3_install


%files -n python3-%{pkgname}
%license LICENSE
%doc README.md
%dir %{python3_sitelib}/django_markdown2
%{python3_sitelib}/django_markdown2/__init__.py
%dir %{python3_sitelib}/django_markdown2/__pycache__
%{python3_sitelib}/django_markdown2/__pycache__/*.py*
%dir %{python3_sitelib}/django_markdown2/templatetags
%{python3_sitelib}/django_markdown2/templatetags/__init__.py
%{python3_sitelib}/django_markdown2/templatetags/md2.py
%dir %{python3_sitelib}/django_markdown2/templatetags/__pycache__
%{python3_sitelib}/django_markdown2/templatetags/__pycache__/__init__.*.py*
%{python3_sitelib}/django_markdown2/templatetags/__pycache__/md2.*.py*
%{python3_sitelib}/django_markdown2-%{version}-py3.*.egg-info

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.1-2
- Rebuilt for Python 3.7

* Wed Mar 07 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.1-1
- Update to 0.3.1
- Fix Source URL

* Wed Mar 07 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.0-8
- Remove python2 subpackage for https://fedoraproject.org/wiki/Changes/Django20
- Remove Groups
- Add missing %%python_provide

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3.0-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Feb 23 2016 Jakub Dorňák <jdornak@redhat.com> - 0.3.0-2
- add python2- subpackage

* Tue Feb 23 2016 Jakub Dorňák <jdornak@redhat.com> - 0.3.0-1
- Update to 0.3.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 25 2015 Jakub Dorňák <jdornak@redhat.com> - 0.2.1-1
- Initial package
